: Class FrameGrabberColorModel

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mit.ai.vision.framegrabber
Class FrameGrabberColorModel

    java.lang.Object
      |
      +--java.awt.image.ColorModel
            |
            +--mit.ai.vision.framegrabber.FrameGrabberColorModel

public class FrameGrabberColorModel
extends java.awt.image.ColorModel

Fields inherited from class java.awt.image.ColorModel
`pixel_bits, transferType`

Constructor Summary
`FrameGrabberColorModel(int bits)`

Method Summary
`int` | `getAlpha(int pixel)`
`int` | `getBlue(int pixel)`
`int` | `getGreen(int pixel)`
`int` | `getRed(int pixel)`

Methods inherited from class java.awt.image.ColorModel
`coerceData, createCompatibleSampleModel, createCompatibleWritableRaster, equals, finalize, getAlpha, getAlphaRaster, getBlue, getColorSpace, getComponents, getComponents, getComponentSize, getComponentSize, getDataElement, getDataElements, getDataElements, getGreen, getNormalizedComponents, getNumColorComponents, getNumComponents, getPixelSize, getRed, getRGB, getRGB, getRGBdefault, getTransparency, getUnnormalizedComponents, hasAlpha, isAlphaPremultiplied, isCompatibleRaster, isCompatibleSampleModel, toString`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameGrabberColorModel

    public FrameGrabberColorModel(int bits)

Method Detail

### getRed

    public int getRed(int pixel)

  Overrides:
    getRed in class java.awt.image.ColorModel

### getGreen

    public int getGreen(int pixel)

  Overrides:
    getGreen in class java.awt.image.ColorModel

### getBlue

    public int getBlue(int pixel)

  Overrides:
    getBlue in class java.awt.image.ColorModel

### getAlpha

    public int getAlpha(int pixel)

  Overrides:
    getAlpha in class java.awt.image.ColorModel

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD